<script setup lang="ts">
    import { useMsal } from '@/plugins/msal/useMsal'
    import { loginRequest } from '@/security/authConfig'

    const msal = useMsal()

    function signIn() {
        loginRequest.state = window.location.href
        msal.instance.loginRedirect(loginRequest)
    }
</script>

<template>
    <v-btn
        data-cy="login-button"
        prepend-icon="mdi-logout"
        variant="text"
        color="gray"
        @click="signIn"
    >
        <slot><p>Connexion</p></slot>
    </v-btn>
</template>
